#!/bin/sh
echo -n "Modifying source section..."
cd source/
if [ -x *.o ];
then
	echo "Error"
	echo "This is already compiled, run 'make clean' before trying again"
else
	cat chanserv.c | sed s/"\/msg %s"/"\/%s"/ > chanserv.c.2
	cat memoserv.c | sed s/"\/msg %s"/"\/%s"/ > memoserv.c.2
	cat nickserv.c | sed s/"\/msg %s"/"\/%s"/ > nickserv.c.2
	mv -f chanserv.c.2 chanserv.c
	mv -f memoserv.c.2 memoserv.c
	mv -f nickserv.c.2 nickserv.c
echo "Done"
echo -n "Modifying help section..."
cd ../help
for x in `find -type f` ;
do
	cat $x | sed s/"\/msg %C"/"\/%C"/ > temp
	mv -f temp $x
	cat $x | sed s/"\/msg %N"/"\/%N"/ > temp
	mv -f temp $x
	cat $x | sed s/"\/msg %M"/"\/%M"/ > temp
	mv -f temp $x
	cat $x | sed s/"\/msg %O"/"\/%O"/ > temp
	mv -f temp $x
	cat $x | sed s/"\/msg %S"/"\/%S"/ > temp
	mv -f temp $x
	cat $x | sed s/"\/msg %E"/"\/%E"/ > temp
	mv -f temp $x
done
echo "Done"
echo -n "Modifying include section..."
cd ../include
	cat err.h | sed s/"\/msg %s"/"\/%s"/ > err.h.2
	mv -f err.h.2 err.h
echo "Done"
echo ""
echo "all done, now you can ./configure and compile normally"
fi
